libglom-1.16 1.16.3

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# GlomBakery::ViewBase Class Reference

This is a base class for View. More...

Inheritance diagram for GlomBakery::ViewBase:
[legend]
Collaboration diagram for GlomBakery::ViewBase:
[legend]

List of all members.

## Public Member Functions
| ViewBase ()
virtual | ~ViewBase ()
virtual void | load_from_document ()
virtual void | save_to_document ()
virtual void | clipboard_copy ()
virtual void | clipboard_paste ()
virtual void | clipboard_clear ()

## Detailed Description

This is a base class for View.

This allows the App to call load_from_document() and save_to_document(), without knowing exactly what type of document the view uses.

## Constructor & Destructor Documentation

GlomBakery::ViewBase::ViewBase | ( |  | ) |

virtual GlomBakery::ViewBase::~ViewBase | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void GlomBakery::ViewBase::clipboard_clear | ( |  | ) | `[virtual]`

virtual void GlomBakery::ViewBase::clipboard_copy | ( |  | ) | `[virtual]`

virtual void GlomBakery::ViewBase::clipboard_paste | ( |  | ) | `[virtual]`

virtual void GlomBakery::ViewBase::load_from_document | ( |  | ) | `[virtual]`

Reimplemented in GlomBakery::View_Composite< T_Document >.

virtual void GlomBakery::ViewBase::save_to_document | ( |  | ) | `[virtual]`

Reimplemented in GlomBakery::View_Composite< T_Document >.

The documentation for this class was generated from the following file:

- libglom/document/bakery/view/viewbase.h